Skip to navigation

Get UserMeteringSummary by ID

Beta
Get a single UserMeteringSummary by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

user_metering_summary_idstringRequired
ID of the UserMeteringSummary.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
effectiveLimitinteger or nullOptional

The user’s credit limit for the billing period, or null when per-user limits are not enforced

idstringOptional

Synthetic ID formed by replacing the user’s ent prefix with umesu.

isTenantOutOfCreditsbooleanOptional
Whether the tenant is out of credits.
periodStartdateOptional

The date (UTC) on which the current billing period started.

resetDatedateOptional

The date (UTC) on which the next billing period starts and usage resets.

usagedoubleOptional
AI credits consumed so far this billing period.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error